package type;
public class InvalidArgumentValueHelper
{
	private static org.omg.CORBA.TypeCode _type = org.omg.CORBA.ORB.init().create_struct_tc(id(),"InvalidArgumentValue",new org.omg.CORBA.StructMember[]{new org.omg.CORBA.StructMember("reason",org.omg.CORBA.ORB.init().create_string_tc(0),null)});
	public InvalidArgumentValueHelper ()
	{
	}
	public static void insert(org.omg.CORBA.Any any, type.InvalidArgumentValue s)
	{
		any.type(type());
		write( any.create_output_stream(),s);
	}
	public static type.InvalidArgumentValue extract(org.omg.CORBA.Any any)
	{
		return read(any.create_input_stream());
	}
	public static org.omg.CORBA.TypeCode type()
	{
		return _type;
	}
	public String get_id()
	{
		return id();
	}
	public org.omg.CORBA.TypeCode get_type()
	{
		return type();
	}
	public void write_Object(org.omg.CORBA.portable.OutputStream out, java.lang.Object obj)
	{
		 throw new RuntimeException(" not implemented");
	}
	public java.lang.Object read_Object(org.omg.CORBA.portable.InputStream in)
	{
		 throw new RuntimeException(" not implemented");
	}
	public static String id()
	{
		return "IDL:type/InvalidArgumentValue:1.0";
	}
	public static type.InvalidArgumentValue read(org.omg.CORBA.portable.InputStream in)
	{
		type.InvalidArgumentValue result = new type.InvalidArgumentValue();
		if(!in.read_string().equals(id())) throw new org.omg.CORBA.MARSHAL("wrong id");
		result.reason=in.read_string();
		return result;
	}
	public static void write(org.omg.CORBA.portable.OutputStream out, type.InvalidArgumentValue s)
	{
		out.write_string(id());
out.write_string(s.reason);
	}
}
